package es.optsicom.problem.gop.approx.pr;

import java.util.List;

import es.optsicom.lib.Instance;
import es.optsicom.lib.Solution;
import es.optsicom.lib.approx.combinator.GroupCombinator;

public abstract class PR<S extends Solution<I>, I extends Instance> extends GroupCombinator<S, I> {

	public PR(int i) {
		super(i);
	}

	@Override
	protected S internalCombineGroup(List<S> group) {
		return createSolution(group.get(0), group.subList(1, group.size()));
	}
	
	public abstract S createSolution(S initiatingSolution, List<S> guidingSolutions);

}
